PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
vg_lite_buffer_t Struct Reference

## Data Fields
vg_lite_int32_t | width
vg_lite_int32_t | height
vg_lite_int32_t | stride
vg_lite_buffer_layout_t | tiled
vg_lite_buffer_format_t | format
vg_lite_pointer | handle
vg_lite_pointer | memory
vg_lite_uint32_t | address
vg_lite_memory_pool_t | pool
vg_lite_yuvinfo_t | yuv
vg_lite_image_mode_t | image_mode
vg_lite_transparency_t | transparency_mode
vg_lite_fc_buffer_t | fc_buffer [3]
vg_lite_compress_mode_t | compress_mode
vg_lite_index_endian_t | index_endian
vg_lite_paint_type_t | paintType
vg_lite_uint8_t | fc_enable
vg_lite_uint8_t | scissor_buffer
vg_lite_uint8_t | premultiplied
vg_lite_uint8_t | apply_premult
struct vg_lite_buffer * | lvgl_buffer
vg_lite_color_t | bg_color
vg_lite_uint8_t | screen_copy

## Field Documentation

## ◆ width

vg_lite_int32_t vg_lite_buffer_t::width

## ◆ height

vg_lite_int32_t vg_lite_buffer_t::height

Width of the buffer in pixels.

## ◆ stride

vg_lite_int32_t vg_lite_buffer_t::stride

Height of the buffer in pixels.

## ◆ tiled

vg_lite_buffer_layout_t vg_lite_buffer_t::tiled

The number of bytes to move from one line in the buffer to the next line.

## ◆ format

vg_lite_buffer_format_t vg_lite_buffer_t::format

Indicating the buffer memory layout is linear or tiled.

## ◆ handle

vg_lite_pointer vg_lite_buffer_t::handle

The pixel format of the buffer.

## ◆ memory

vg_lite_pointer vg_lite_buffer_t::memory

The memory handle of the buffer's memory as allocated by the VGLite kernel.

## ◆ address

vg_lite_uint32_t vg_lite_buffer_t::address

The logical pointer to the buffer's memory for the CPU.

## ◆ pool

vg_lite_memory_pool_t vg_lite_buffer_t::pool

The address to the buffer's memory for the hardware.

## ◆ yuv

vg_lite_yuvinfo_t vg_lite_buffer_t::yuv

The buffer's memory pool.

## ◆ image_mode

vg_lite_image_mode_t vg_lite_buffer_t::image_mode

The yuv format details.

## ◆ transparency_mode

vg_lite_transparency_t vg_lite_buffer_t::transparency_mode

The blit image mode.

## ◆ fc_buffer

vg_lite_fc_buffer_t vg_lite_buffer_t::fc_buffer[3]

image transparency mode.

## ◆ compress_mode

vg_lite_compress_mode_t vg_lite_buffer_t::compress_mode

3 fastclear buffers,reserved YUV format.

## ◆ index_endian

vg_lite_index_endian_t vg_lite_buffer_t::index_endian

Refer to the definition by vg_lite_compress_mode_t.

## ◆ paintType

vg_lite_paint_type_t vg_lite_buffer_t::paintType

Refer to the definition by vg_lite_index_endian_t.

## ◆ fc_enable

vg_lite_uint8_t vg_lite_buffer_t::fc_enable

Get paintcolor from different paint types.

## ◆ scissor_buffer

vg_lite_uint8_t vg_lite_buffer_t::scissor_buffer

enable im fastclear.

## ◆ premultiplied

vg_lite_uint8_t vg_lite_buffer_t::premultiplied

The buffer is scissor mask buffer.

## ◆ apply_premult

vg_lite_uint8_t vg_lite_buffer_t::apply_premult

The RGB pixel values are alpha-premultipled

## ◆ lvgl_buffer

struct vg_lite_buffer* vg_lite_buffer_t::lvgl_buffer

Need to apply alpha-premultiply

## ◆ bg_color

vg_lite_color_t vg_lite_buffer_t::bg_color

Buffer for SW LVGL blending support

## ◆ screen_copy

vg_lite_uint8_t vg_lite_buffer_t::screen_copy

Background for edge filter